SWITCHD(8)

NAME
switchd - software-defined networking (SDN) sflow controller

SYNOPSIS
switchd [-dnv] [-c cachesize] [-D macro=value] [-f file] [-t timeout]

DESCRIPTION
switchd is a controller for software-defined networking (SDN) and is compatible with the OpenFlow protocol.

The options are as follows:

-c cachesize
    Number of MAC addresses to cache. The default is 4096.

-D macro=value
    Set a macro to a value. Macros can be referenced in the configuration files.

-d  Debug mode. Don't detach or become a daemon. This allows for easy monitoring of switchd.

-f file
    Specifies the configuration file. The default is /etc/switchd.conf.

-n  Check that the configuration is valid, but don't start the daemon.

-t timeout
    Timeout in seconds for learned MAC addresses. The default is 240 seconds.

-v  Verbose mode. Multiple -v options increase the verbosity.

FILES
/etc/switchd.conf
    Default configuration file.

SEE ALSO
switchd.conf(5), switchctl(8)

STANDARDS
Open Networking Foundation (ONF), December 31, 2009, Version 1.0.0 (Wire Protocol 0x01), OpenFlow Switch Specification.

Open Networking Foundation (ONF), March 26, 2015, Version 1.3.5 (Protocol version 0x04), OpenFlow Switch Specification.

HISTORY
The switchd program first appeared in OpenBSD 6.1.

AUTHORS
The switchd program was written by Reyk Floeter <reyk@openbsd.org>.